#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	mediastreamer2
Version		:	5.2.75
Release		:	14.4.0.0%{?dist}
Summary		:	Belcard is a C++ library to manipulate VCard standard format


Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL-3.0-or-later AND GPL-2.0-or-later
URL		:	https://gitlab.linphone.org/BC/public/mediastreamer2/

Source0		:	%{name}-%{version}.tar.gz
patch0		:	%{name}-%{version}-ffmpeg.patch

#-----------------------------------------------------------------------------
BuildRequires	:	bctoolbox-devel
BuildRequires	:	bcg729
BuildRequires	:	bzrtp-devel
BuildRequires	:	cmake
BuildRequires	:	doxygen
BuildRequires	:	ffmpeg-devel
BuildRequires	:	graphviz
BuildRequires	:	glew
BuildRequires	:	gsm-devel
BuildRequires	:	libsrtp-devel
BuildRequires	:	libv4l-devel
BuildRequires	:	ortp-devel
BuildRequires	:	osukiss-release
BuildRequires	:	gcc-c++
BuildRequires	:	speex
BuildRequires	:	speexdsp
#-----------------------------------------------------------------------------
%description
Used by liblinphone to manipulate VCard standard format

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%{_bindir}/mediastream
%{_bindir}/mkvstream
%{_libdir}/libmediastreamer.so.11
%{_datadir}/images/nowebcamCIF.jpg

#=============================================================================
%package		devel
Summary		:	Headers and libraries for the mediastreamer library
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md
%{_includedir}/%{name}/*.h
%{_includedir}/OpenGL/*.h
%{_includedir}/OpenGL/EGL/*.h
%{_includedir}/OpenGL/GLES2/*.h
%{_includedir}/OpenGL/GLES3/*.h
%{_includedir}/OpenGL/KHR/khrplatform.h
%{_includedir}/OpenGL/LICENSE
%{_includedir}/OpenGL/README.md
%{_libdir}/libmediastreamer.so
%{_datadir}/Mediastreamer2/cmake/Mediastreamer2*.cmake
%{_defaultdocdir}/%{name}-%{version}/html/doxygen.css
%{_defaultdocdir}/%{name}-%{version}/html/tabs.css
%{_defaultdocdir}/%{name}-%{version}/html/*.js
%{_defaultdocdir}/%{name}-%{version}/html/*.html
%{_defaultdocdir}/%{name}-%{version}/html/*.png
%{_defaultdocdir}/%{name}-%{version}/html/*.svg
 
#=============================================================================
%package		test
Summary		:	Tools and utilities to test %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}-devel	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		test
Tools and utilities to test %{name}

#-----------------------------------------------------------------------------
%files			test
%defattr(-,root,root,-)
%{_bindir}/%{name}_tester
%{_datadir}/%{name}_tester/raw/h265-iframe
%{_datadir}/%{name}_tester/raw/h265-parameter-sets-frame
%{_datadir}/%{name}_tester/scenarios/*.pcap
%{_datadir}/%{name}_tester/scenarios/*.pcapng
%{_datadir}/%{name}_tester/sounds/*.mka
%{_datadir}/%{name}_tester/sounds/*.mkv
%{_datadir}/%{name}_tester/sounds/*.wav

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#adjusting version number
sed -i							\
  -e "s/VERSION 5.2.0/VERSION %{version}/"		\
  CMakeLists.txt

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	.						\
	-D CMAKE_INSTALL_PREFIX:PATH=%{_prefix}		\
	-D ENABLE_DOC=YES				\
	-D ENABLE_SHARED=YES				\
	-D ENABLE_STATIC=NO				\
	-D ENABLE_UNIT_TESTS=YES			\
	-D ENABLE_BV16:BOOL=OFF				\
	-D ENABLE_FFMPEG:BOOL=ON			\
	-D ENABLE_LIBYUV:BOOL=OFF			\
	-D ENABLE_MKV:BOOL=OFF				\
	-D ENABLE_QRCODE:BOOL=OFF			\
	-D ENABLE_THEORA:BOOL=OFF			\
	-D ENABLE_ZRTP:BOOL=ON				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
